### Method

# ECal Component get_location

since: 3.34

#### Declaration [src]

    gchar*
    e_cal_component_get_location (
      ECalComponent* comp
    )

#### Description [src]

Queries the location property of a calendar component object.

Available since: 3.34

#### Return value

Type: `gchar*`

The locatio, or `NULL`, if none is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.